Changeset 630 for stable


Ignore:
Timestamp:
Jun 14, 2007 2:58:19 PM (12 years ago)
Author:
andreasw
Message:

automatically regenerated autotools files

File:
1 edited

Legend:

Unmodified
Added
Removed
  • stable/1.1/configure

    r528 r630  
    38273827  *-cygwin* | *-mingw*)
    38283828     if test "$enable_doscompile" = msvc ; then
    3829        coin_f77_comps="ifort fl32"
     3829       coin_f77_comps="ifort fl32 compile_f2c"
    38303830     else
    3831        coin_f77_comps="gfortran g77 ifort fl32"
     3831       coin_f77_comps="gfortran g77 ifort fl32 compile_f2c"
    38323832     fi ;;
    38333833  sparc-sun-solaris*)
     
    42204220          ifort* | */ifort* | IFORT* | */IFORT* )
    42214221            coin_opt_fflags='-O3'
    4222             coin_add_fflags='-nologo -MT'
     4222            coin_add_fflags='-fpp -nologo -MT'
    42234223            coin_dbg_fflags='-debug'
     4224          ;;
     4225          compile_f2c*)
     4226            coin_opt_fflags='-MT -O2'
     4227            coin_add_fflags='-nologo -wd4996'
     4228            coin_dbg_fflags='-MTd'
    42244229          ;;
    42254230        esac
     
    57135718
    57145719
    5715 unset ac_cv_file__________libtool
    5716 unset ac_cv_file_______libtool
    5717 unset ac_cv_file____libtool
    5718 
    57195720LIBTOOL=
    5720 echo "$as_me:$LINENO: checking for ../libtool" >&5
    5721 echo $ECHO_N "checking for ../libtool... $ECHO_C" >&6
    5722 if test "${ac_cv_file____libtool+set}" = set; then
    5723   echo $ECHO_N "(cached) $ECHO_C" >&6
    5724 else
    5725   test "$cross_compiling" = yes &&
    5726   { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
    5727 echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
    5728    { (exit 1); exit 1; }; }
    5729 if test -r "../libtool"; then
    5730   ac_cv_file____libtool=yes
    5731 else
    5732   ac_cv_file____libtool=no
    5733 fi
    5734 fi
    5735 echo "$as_me:$LINENO: result: $ac_cv_file____libtool" >&5
    5736 echo "${ECHO_T}$ac_cv_file____libtool" >&6
    5737 if test $ac_cv_file____libtool = yes; then
     5721if test -r ../libtool; then
    57385722  coin_config_dir=..
    5739                LIBTOOL='$(SHELL) $(top_builddir)/../libtool'
    5740 fi
    5741 
     5723  LIBTOOL='$(SHELL) $(top_builddir)/../libtool'
     5724fi
    57425725if test "x$LIBTOOL" = x; then
    5743   echo "$as_me:$LINENO: checking for ../../libtool" >&5
    5744 echo $ECHO_N "checking for ../../libtool... $ECHO_C" >&6
    5745 if test "${ac_cv_file_______libtool+set}" = set; then
    5746   echo $ECHO_N "(cached) $ECHO_C" >&6
    5747 else
    5748   test "$cross_compiling" = yes &&
    5749   { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
    5750 echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
    5751    { (exit 1); exit 1; }; }
    5752 if test -r "../../libtool"; then
    5753   ac_cv_file_______libtool=yes
    5754 else
    5755   ac_cv_file_______libtool=no
    5756 fi
    5757 fi
    5758 echo "$as_me:$LINENO: result: $ac_cv_file_______libtool" >&5
    5759 echo "${ECHO_T}$ac_cv_file_______libtool" >&6
    5760 if test $ac_cv_file_______libtool = yes; then
    5761   coin_config_dir=../..
    5762                  LIBTOOL='$(SHELL) $(top_builddir)/../../libtool'
    5763 fi
    5764 
    5765 fi
    5766 # if test "x$LIBTOOL" = x; then
    5767 #   AC_CHECK_FILE([../../../libtool],
    5768 #                 [coin_config_dir=../../..
    5769 #                  LIBTOOL='$(SHELL) $(top_builddir)/../../../libtool'])
    5770 # fi
     5726  if test -r ../../libtool; then
     5727    coin_config_dir=../..
     5728    LIBTOOL='$(SHELL) $(top_builddir)/../../libtool'
     5729  fi
     5730fi
    57715731
    57725732if test "x$LIBTOOL" = x; then
     
    63216281*-*-irix6*)
    63226282  # Find out which ABI we are using.
    6323   echo '#line 6323 "configure"' > conftest.$ac_ext
     6283  echo '#line 6283 "configure"' > conftest.$ac_ext
    63246284  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    63256285  (eval $ac_compile) 2>&5
     
    82858245   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    82868246   -e 's:$: $lt_compiler_flag:'`
    8287    (eval echo "\"\$as_me:8287: $lt_compile\"" >&5)
     8247   (eval echo "\"\$as_me:8247: $lt_compile\"" >&5)
    82888248   (eval "$lt_compile" 2>conftest.err)
    82898249   ac_status=$?
    82908250   cat conftest.err >&5
    8291    echo "$as_me:8291: \$? = $ac_status" >&5
     8251   echo "$as_me:8251: \$? = $ac_status" >&5
    82928252   if (exit $ac_status) && test -s "$ac_outfile"; then
    82938253     # The compiler can only warn and ignore the option if not recognized
     
    85538513   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    85548514   -e 's:$: $lt_compiler_flag:'`
    8555    (eval echo "\"\$as_me:8555: $lt_compile\"" >&5)
     8515   (eval echo "\"\$as_me:8515: $lt_compile\"" >&5)
    85568516   (eval "$lt_compile" 2>conftest.err)
    85578517   ac_status=$?
    85588518   cat conftest.err >&5
    8559    echo "$as_me:8559: \$? = $ac_status" >&5
     8519   echo "$as_me:8519: \$? = $ac_status" >&5
    85608520   if (exit $ac_status) && test -s "$ac_outfile"; then
    85618521     # The compiler can only warn and ignore the option if not recognized
     
    86578617   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    86588618   -e 's:$: $lt_compiler_flag:'`
    8659    (eval echo "\"\$as_me:8659: $lt_compile\"" >&5)
     8619   (eval echo "\"\$as_me:8619: $lt_compile\"" >&5)
    86608620   (eval "$lt_compile" 2>out/conftest.err)
    86618621   ac_status=$?
    86628622   cat out/conftest.err >&5
    8663    echo "$as_me:8663: \$? = $ac_status" >&5
     8623   echo "$as_me:8623: \$? = $ac_status" >&5
    86648624   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    86658625   then
     
    1100210962  lt_status=$lt_dlunknown
    1100310963  cat > conftest.$ac_ext <<EOF
    11004 #line 11004 "configure"
     10964#line 10964 "configure"
    1100510965#include "confdefs.h"
    1100610966
     
    1110211062  lt_status=$lt_dlunknown
    1110311063  cat > conftest.$ac_ext <<EOF
    11104 #line 11104 "configure"
     11064#line 11064 "configure"
    1110511065#include "confdefs.h"
    1110611066
     
    1344613406   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1344713407   -e 's:$: $lt_compiler_flag:'`
    13448    (eval echo "\"\$as_me:13448: $lt_compile\"" >&5)
     13408   (eval echo "\"\$as_me:13408: $lt_compile\"" >&5)
    1344913409   (eval "$lt_compile" 2>conftest.err)
    1345013410   ac_status=$?
    1345113411   cat conftest.err >&5
    13452    echo "$as_me:13452: \$? = $ac_status" >&5
     13412   echo "$as_me:13412: \$? = $ac_status" >&5
    1345313413   if (exit $ac_status) && test -s "$ac_outfile"; then
    1345413414     # The compiler can only warn and ignore the option if not recognized
     
    1355013510   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1355113511   -e 's:$: $lt_compiler_flag:'`
    13552    (eval echo "\"\$as_me:13552: $lt_compile\"" >&5)
     13512   (eval echo "\"\$as_me:13512: $lt_compile\"" >&5)
    1355313513   (eval "$lt_compile" 2>out/conftest.err)
    1355413514   ac_status=$?
    1355513515   cat out/conftest.err >&5
    13556    echo "$as_me:13556: \$? = $ac_status" >&5
     13516   echo "$as_me:13516: \$? = $ac_status" >&5
    1355713517   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1355813518   then
     
    1512015080   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1512115081   -e 's:$: $lt_compiler_flag:'`
    15122    (eval echo "\"\$as_me:15122: $lt_compile\"" >&5)
     15082   (eval echo "\"\$as_me:15082: $lt_compile\"" >&5)
    1512315083   (eval "$lt_compile" 2>conftest.err)
    1512415084   ac_status=$?
    1512515085   cat conftest.err >&5
    15126    echo "$as_me:15126: \$? = $ac_status" >&5
     15086   echo "$as_me:15086: \$? = $ac_status" >&5
    1512715087   if (exit $ac_status) && test -s "$ac_outfile"; then
    1512815088     # The compiler can only warn and ignore the option if not recognized
     
    1522415184   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1522515185   -e 's:$: $lt_compiler_flag:'`
    15226    (eval echo "\"\$as_me:15226: $lt_compile\"" >&5)
     15186   (eval echo "\"\$as_me:15186: $lt_compile\"" >&5)
    1522715187   (eval "$lt_compile" 2>out/conftest.err)
    1522815188   ac_status=$?
    1522915189   cat out/conftest.err >&5
    15230    echo "$as_me:15230: \$? = $ac_status" >&5
     15190   echo "$as_me:15190: \$? = $ac_status" >&5
    1523115191   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1523215192   then
     
    1743117391   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1743217392   -e 's:$: $lt_compiler_flag:'`
    17433    (eval echo "\"\$as_me:17433: $lt_compile\"" >&5)
     17393   (eval echo "\"\$as_me:17393: $lt_compile\"" >&5)
    1743417394   (eval "$lt_compile" 2>conftest.err)
    1743517395   ac_status=$?
    1743617396   cat conftest.err >&5
    17437    echo "$as_me:17437: \$? = $ac_status" >&5
     17397   echo "$as_me:17397: \$? = $ac_status" >&5
    1743817398   if (exit $ac_status) && test -s "$ac_outfile"; then
    1743917399     # The compiler can only warn and ignore the option if not recognized
     
    1769917659   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1770017660   -e 's:$: $lt_compiler_flag:'`
    17701    (eval echo "\"\$as_me:17701: $lt_compile\"" >&5)
     17661   (eval echo "\"\$as_me:17661: $lt_compile\"" >&5)
    1770217662   (eval "$lt_compile" 2>conftest.err)
    1770317663   ac_status=$?
    1770417664   cat conftest.err >&5
    17705    echo "$as_me:17705: \$? = $ac_status" >&5
     17665   echo "$as_me:17665: \$? = $ac_status" >&5
    1770617666   if (exit $ac_status) && test -s "$ac_outfile"; then
    1770717667     # The compiler can only warn and ignore the option if not recognized
     
    1780317763   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1780417764   -e 's:$: $lt_compiler_flag:'`
    17805    (eval echo "\"\$as_me:17805: $lt_compile\"" >&5)
     17765   (eval echo "\"\$as_me:17765: $lt_compile\"" >&5)
    1780617766   (eval "$lt_compile" 2>out/conftest.err)
    1780717767   ac_status=$?
    1780817768   cat out/conftest.err >&5
    17809    echo "$as_me:17809: \$? = $ac_status" >&5
     17769   echo "$as_me:17769: \$? = $ac_status" >&5
    1781017770   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1781117771   then
     
    2051020470  { echo "$as_me:$LINENO: Build is \"$build\"." >&5
    2051120471echo "$as_me: Build is \"$build\"." >&6;}
     20472  mydos2unix='| dos2unix'
    2051220473  case $build in
    2051320474    *-mingw*)
    2051420475      CYGPATH_W=echo
     20476      mydos2unix=
    2051520477      ;;
    2051620478  esac
    2051720479
    2051820480  case $build in
     20481    *x86_64-*)
     20482# Here we need to check if -m32 is specified.  If so, we need to correct sys_lib_search_path_spec
     20483      if test "$GCC" = yes && (echo $CXXFLAGS $CFLAGS $FFLAGS | $EGREP 'm32' >& /dev/null); then
     20484        { echo "$as_me:$LINENO: Applying patches to libtool for 32bit compilation" >&5
     20485echo "$as_me: Applying patches to libtool for 32bit compilation" >&6;}
     20486        sed -e 's|sys_lib_search_path_spec=".*"|sys_lib_search_path_spec="/lib /usr/lib"|' libtool > conftest.bla
     20487        mv conftest.bla libtool
     20488        chmod 755 libtool
     20489      fi
     20490      ;;
    2051920491    *-cygwin* | *-mingw*)
    2052020492    case "$CXX" in
     
    2052820500            -e 's%lib /OUT:%lib -OUT:%' \
    2052920501            -e "s%cygpath -w%$CYGPATH_W%" \
    20530             -e 's%$AR x \\$f_ex_an_ar_oldlib%bla=\\`lib -nologo -list \\$f_ex_an_ar_oldlib | xargs echo\\`; echo \\$bla; for i in \\$bla; do lib -nologo -extract:\\$i \\$f_ex_an_ar_oldlib; done%' \
     20502            -e 's%$AR x \\$f_ex_an_ar_oldlib%bla=\\`lib -nologo -list \\$f_ex_an_ar_oldlib | xargs echo '"$mydos2unix"'\\`; echo \\$bla; for i in \\$bla; do lib -nologo -extract:\\$i \\$f_ex_an_ar_oldlib; done%' \
    2053120503            -e 's/$AR t/lib -nologo -list/' \
    2053220504            -e 's%f_ex_an_ar_oldlib="\($?*1*\)"%f_ex_an_ar_oldlib='\`"$CYGPATH_W"' \1`%' \
    20533             -e  's%^archive_cmds=.*%archive_cmds="\\$CC -o \\$lib \\$libobjs \\$compiler_flags \\\\\\`echo \\\\\\"\\$deplibs\\\\\\" | \\$SED -e '"\'"'s/ -lc\\$//'"\'"'\\\\\\` -link -dll~linknames="%' \
     20505            -e 's%^archive_cmds=.*%archive_cmds="\\$CC -o \\$lib \\$libobjs \\$compiler_flags \\\\\\`echo \\\\\\"\\$deplibs\\\\\\" | \\$SED -e '"\'"'s/ -lc\\$//'"\'"'\\\\\\` -link -dll~linknames="%' \
     20506            -e 's%old_archive_cmds="lib -OUT:\\$oldlib\\$oldobjs\\$old_deplibs"%old_archive_cmds="if test -r \\$oldlib; then bla=\\"\\$oldlib\\"; else bla=; fi; lib -OUT:\\$oldlib \\\\\\$bla\\$oldobjs\\$old_deplibs"%' \
    2053420507        libtool > conftest.bla
    2053520508
     
    2054920522        ;;
    2055020523    esac
     20524    ;;
     20525    *-darwin*)
     20526      { echo "$as_me:$LINENO: Applying patches to libtool for Darwin" >&5
     20527echo "$as_me: Applying patches to libtool for Darwin" >&6;}
     20528      sed -e 's/verstring="${wl}-compatibility_version ${wl}$minor_current ${wl}-current_version ${wl}$minor_current.$revision"/verstring="-compatibility_version $minor_current -current_version $minor_current.$revision"/' \
     20529      libtool > conftest.bla
     20530
     20531      mv conftest.bla libtool
     20532      chmod 755 libtool
     20533      ;;
    2055120534  esac
    2055220535# This fi matches the commented `if test "x$LIBTOOL" = x;' up at the head of
     
    2105521038# Finally, we let configure write all the output...
    2105621039
    21057 FADDLIBS="$ADDLIBS"
    21058 if test x"$coin_need_flibs" = xyes; then
    21059   ADDLIBS="$ADDLIBS $FLIBS"
    21060 fi
    21061 
    21062 # library extension
    21063 
    21064 case "$CC" in
    21065   cl* | */cl* | CL* | */CL*)
    21066        LIBEXT=lib ;;
    21067     *) LIBEXT=a ;;
    21068 esac
    21069 
    21070 # Define VPATH_DISTCLEANFILES to be everything that needs to be
    21071 # cleaned for distclean in a vpath configuration
    21072 
    21073 VPATH_DISTCLEANFILES="$coin_vpath_link_files"
    21074 
    21075 cat >confcache <<\_ACEOF
     21040if test x$coin_skip_ac_output != xyes; then
     21041
     21042  FADDLIBS="$ADDLIBS"
     21043  if test x"$coin_need_flibs" = xyes; then
     21044    ADDLIBS="$ADDLIBS $FLIBS"
     21045  fi
     21046
     21047  # library extension
     21048
     21049  case "$CC" in
     21050    cl* | */cl* | CL* | */CL*)
     21051         LIBEXT=lib ;;
     21052      *) LIBEXT=a ;;
     21053  esac
     21054
     21055  # Define VPATH_DISTCLEANFILES to be everything that needs to be
     21056  # cleaned for distclean in a vpath configuration
     21057
     21058  VPATH_DISTCLEANFILES="$coin_vpath_link_files"
     21059
     21060  # Take out subdirectories if their configuration concluded that they
     21061  # don't need to be compiled
     21062  if test x"$coin_ac_skip_subdirs" != x; then
     21063    new_subdirs=
     21064    for i in $subdirs; do
     21065      skipme=no
     21066      for j in $coin_ac_skip_subdirs; do
     21067        if test $i = $j; then
     21068          skipme=yes;
     21069        fi
     21070      done
     21071      if test $skipme = no; then
     21072        new_subdirs="$new_subdirs $i"
     21073      fi
     21074    done
     21075    subdirs="$new_subdirs"
     21076  fi
     21077
     21078  cat >confcache <<\_ACEOF
    2107621079# This file is a shell script that caches the results of configure
    2107721080# tests run on this system so they can be shared between configure
     
    2250722510
    2250822511
    22509 if test x"$coin_vpath_link_files" = x; then : ; else
    22510   lnkcmd=
    22511   if test "$enable_doscompile" = yes; then
    22512     lnkcmd=cp
    22513   fi
    22514   case "$CC" in
    22515     cl* | */cl* | CL* | */CL*)
    22516       lnkcmd=cp ;;
    22517   esac
    22518   if test "$lnkcmd" = cp; then
    22519     { echo "$as_me:$LINENO: Copying data files for VPATH configuration" >&5
     22512  if test x"$coin_vpath_link_files" = x; then : ; else
     22513    lnkcmd=
     22514    if test "$enable_doscompile" = mingw; then
     22515      lnkcmd=cp
     22516    fi
     22517    case "$CC" in
     22518      cl* | */cl* | CL* | */CL*)
     22519        lnkcmd=cp ;;
     22520    esac
     22521    if test "$lnkcmd" = cp; then
     22522      { echo "$as_me:$LINENO: Copying data files for VPATH configuration" >&5
    2252022523echo "$as_me: Copying data files for VPATH configuration" >&6;}
    22521   else
    22522     echo "$as_me:$LINENO: checking whether ln -s works" >&5
     22524    else
     22525      echo "$as_me:$LINENO: checking whether ln -s works" >&5
    2252322526echo $ECHO_N "checking whether ln -s works... $ECHO_C" >&6
    2252422527LN_S=$as_ln_s
     
    2253122534fi
    2253222535
    22533     { echo "$as_me:$LINENO: Creating VPATH links for data files" >&5
     22536      { echo "$as_me:$LINENO: Creating VPATH links for data files" >&5
    2253422537echo "$as_me: Creating VPATH links for data files" >&6;}
    22535     lnkcmd="$LN_S"
    22536   fi
    22537   for file in $coin_vpath_link_files; do
    22538     dir=`(dirname "./$file") 2>/dev/null ||
     22538      lnkcmd="$LN_S"
     22539    fi
     22540    for file in $coin_vpath_link_files; do
     22541      dir=`(dirname "./$file") 2>/dev/null ||
    2253922542$as_expr X"./$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
    2254022543         X"./$file" : 'X\(//\)[^/]' \| \
     
    2254822551          /^X\(\/\).*/{ s//\1/; q; }
    2254922552          s/.*/./; q'`
    22550     if test -d $dir; then : ; else
    22551       { if $as_mkdir_p; then
     22553      if test -d $dir; then : ; else
     22554        { if $as_mkdir_p; then
    2255222555    mkdir -p $dir
    2255322556  else
     
    2257422577   { (exit 1); exit 1; }; }; }
    2257522578
    22576     fi
    22577     rm -f $file
    22578     $lnkcmd $abs_source_dir/$file $file
    22579   done
    22580 fi
    22581 
    22582 if test x$coin_projectdir = xyes; then
    22583   { echo "$as_me:$LINENO: Configuration of $PACKAGE_NAME successful" >&5
     22579      fi
     22580      rm -f $file
     22581      $lnkcmd $abs_source_dir/$file $file
     22582    done
     22583  fi
     22584
     22585  if test x$coin_projectdir = xyes; then
     22586    { echo "$as_me:$LINENO: Configuration of $PACKAGE_NAME successful" >&5
    2258422587echo "$as_me: Configuration of $PACKAGE_NAME successful" >&6;}
    22585 else
    22586   { echo "$as_me:$LINENO: Main configuration of $PACKAGE_NAME successful" >&5
     22588  else
     22589    { echo "$as_me:$LINENO: Main configuration of $PACKAGE_NAME successful" >&5
    2258722590echo "$as_me: Main configuration of $PACKAGE_NAME successful" >&6;}
    22588 fi
    22589 
     22591  fi
     22592else
     22593  { echo "$as_me:$LINENO: No configuration of $PACKAGE_NAME necessary" >&5
     22594echo "$as_me: No configuration of $PACKAGE_NAME necessary" >&6;}
     22595fi
     22596
     22597
Note: See TracChangeset for help on using the changeset viewer.